

    set addressinfo [split $AddressData :]
    set A32Base [third $addressinfo]

   for {set index 0} {$index < 16} {incr index} {
     DefineRegister $Module xVME Counter$index     "-a $A32Base -w 32 -o [expr 0x10+($index*4)] -p ro -d 32 -l 0 -b 0 -z d"
   }
 
   DefineRegister $Module xVME Clear               "-a $A32Base -w 32 -o 0x50 -p rw -d 16 -l 0 -b 0 -z x -i 0"
   DefineRegister $Module xVME SetVeto             "-a $A32Base -w 32 -o 0x52 -p rw -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME RstVeto             "-a $A32Base -w 32 -o 0x54 -p rw -d 16 -l 0 -b 0 -z x -i 0"
   DefineRegister $Module xVME Config              "-a $A32Base -w 32 -o 0x58 -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME Incr                "-a $A32Base -w 32 -o 0x56 -p rw -d 16 -l 0 -b 0 -z x"

   DefineRegister $Module xVME ModID#1              "-a $A32Base -w 32 -o 0xfe -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ModID#2              "-a $A32Base -w 32 -o 0xfc -p ro -d 16 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ModID#3              "-a $A32Base -w 32 -o 0xfa -p ro -d 16 -l 0 -b 0 -z x"

puts "Defined $Module"
